.\" t
.\"     ccard - credit card number validation
.\"     Copyright (C) 2009 Peter Miller
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 3 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program. If not, see
.\"     <http://www.gnu.org/licenses/>.
.\"
.TH readme ccard
.SH NAME
ccard \- credit card number validation
.SH DESCRIPTION
This program may be used to validate credit card numbers.
The format is a soubroutine to do the checking, and a small main()
to test it with.
It works correctly for all of my credit cards,
no other claims of accuracy are made.
.PP
The code should work on must C compilers,
but I've only recently tested it with gcc of Linux.
.SH HISTORY
The original program was written in BASIC and posted to
.I alt.sources.wanted
in October 1994.
The original author was 
Chris Stone <cstone@hms.com>.
.PP
It was then translated into C by Peter Miller <pmiller@agso.gov.au>
and posted to
.I alt.sources
later the same month.
This program then received more email feedback in the first week
the the author's more serious efforts did in the same time.
.SH AUTHORS
Derived from code by Chris Stone <cstone@hms.com>,
The High Mountain Software Internet Gateway.
.PP
Translated to C by Peter Miller, 1994-Oct-28.
.SH BUILDING
The package is built in the usual way for open source software.
Unpack the tarball, and then
.RS
\&./configure
.RE
to configure the software for your system, and then
.RS
make
.RE
to build the software.  Then
.RS
make sure
.RE
to test the software.  Then
.RS
make install
.RE
to install the software.
